본문으로 건너뛰기
Sursa Developers

객체

TextCardRequest

필드

  • titlestring필수

    length ≥ 1, length ≤ 200

  • collectionstring

    기본값: "default"

  • body_markdownstring

    Markdown 형식의 카드 텍스트. content_type 값은 이 필드에 적용되지 않아요. 대신 body 필드를 전달할 수 있어요.

    length ≥ 1, length ≤ 500000

  • tagsarray of string | null

    items ≤ 30

  • categorystring | null

    length ≤ 60

  • sensitiveboolean | null
  • owner_idinteger | null
  • asyncboolean

    기본값: false

  • bodystring

    content_type 형식의 카드 텍스트. body 필드와 body_markdown 필드 중 하나만 전달하세요. 둘 다 전달하면 422 validation.failed 오류를 반환해요.

    length ≥ 1, length ≤ 500000

  • collection_idinteger | null

    ID로 지정하는 컬렉션. collection 값도 전달하면 collection_id 값이 우선해요. 조직에 없거나 볼 수 없는 컬렉션이면 404 collections.not_found 오류를 반환해요.

  • folder_idstring | null

    카드를 넣을 컬렉션의 폴더로, 파일 업로드의 folder_id 필드와 같은 검사를 거쳐요. 다른 컬렉션의 폴더면 400 folders.card_collection_mismatch 오류를, 없는 폴더면 404 folders.not_found 오류를, 폴더에 대한 COLLECTION_EDIT_CARDS 권한이 없으면 403 authz.forbidden 오류를 반환해요.

    length ≤ 64

  • external_idstring | null

    새 카드의 external_id 값. 조직의 다른 카드가 이 값을 쓰고 있으면 요청은 409 cards.external_id_taken 오류를 반환해요. external_id 값으로 카드를 생성하거나 교체하려면 PUT /v1/cards-by-external-id/{external_id} 오퍼레이션을 사용하세요.

    length ≤ 512

사용처